import request from "@/utils/request";

//区域暂态事件统计
export function getPwRStatOrg(data) {
  return request({
    url: "/event-boot/pwRStatOrg/getPwRStatOrg",
    method: "post",
    data,
  });
}
//区域暂态指标分类统计
export function getPwRStatOrgClassified(data) {
  return request({
    url: "/event-boot/pwRStatOrg/getPwRStatOrgClassified",
    method: "post",
    data,
  });
}

//暂态事件分布统计(表格)
export function getPwEventCategoryDetails(data) {
  return request({
    url: "/event-boot/pwEventCategoryDetails/getPwEventCategoryDetails",
    method: "post",
    data,
  });
}
//获取配网持续时间概率分布函数
export function getPwDurationLineChart(data) {
  return request({
    url: "/event-boot/pwEventCategoryDetails/getPwDurationLineChart",
    method: "post",
    data,
  });
}
//获取配网暂降幅值概率分布函数
export function getPwFeatureAmplitudeLineChart(data) {
  return request({
    url: "/event-boot/pwEventCategoryDetails/getPwFeatureAmplitudeLineChart",
    method: "post",
    data,
  });
}
//获取配网暂态指标分布统计曲线图
export function getPwEventFeatureAmplitudeCurve(data) {
  return request({
    url: "/event-boot/pwEventCategoryDetails/getPwEventFeatureAmplitudeCurve",
    method: "post",
    data,
  });
}
//获取暂态事件明细
export function getPwRmpEventDetail(data) {
  return request({
    url: "/event-boot/pwEventCategoryDetails/getPwRmpEventDetail",
    method: "post",
    data,
  });
}
//波形
export function getTransientAnalyseWave(data) {
  return request({
    url:
      "/event-boot/transient/getTransientAnalyseWave?lineId=" +data.lineId +"&&timeId=" +data.timeId,
    method: "post",
  });
}
//波形
export function getTransientAnalyseWaves(data) {
  return request({
    url: "/event-boot/transient/getTransientAnalyseWave",
    method: "post",
    data,
  });
}
